package com.acciontrassegundos.tutorialandroid;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;

public class Principal extends Activity {

	public static int MILISEGUNDOS_ESPERA = 5000;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
	}

	public void onClick_AccionTrasSegundos(View v) {
		esperarYCerrar(MILISEGUNDOS_ESPERA);
	}

	/**
	 * Espera y cierra la aplicacin tras los milisegundos indicados
	 * @param milisegundos
	 */
	public void esperarYCerrar(int milisegundos) {
		Handler handler = new Handler();
		handler.postDelayed(new Runnable() {
			public void run() {
				// acciones que se ejecutan tras los milisegundos
				finalizarApp();
			}
		}, milisegundos);
	}

	/**
	 * Finaliza la aplicacin
	 */
	public void finalizarApp() {
		finish();
	}

}